@import url('https://fonts.googleapis.com/css?family=Roboto+Mono');
/* font-family: 'Roboto Mono', monospace; */

@import url('./main-and-sidebar.css');
@import url('./footer.css');
@import url('./side-section-elements.css');
/* @import url('./main-and-sidebar.css'); */

@keyframes swing {
  0%{
    transform: translate(0, 0);
  }
  50%{
    transform: translate(0, 0);
  }
  60%{
    transform: translate(0, -15px);
  }
  70%{
    transform: translate(0, -5px);
  }
  80%{
    transform: translate(0, -15px);
  }
  90%{
    transform: translate(0, 0);
  }
}

html {
  height: 100vh;
  scroll-behavior: smooth;
}

body {
  background-color: #f4f1ea;
  font-family: Montserrat, sans-serif;
  color: #1F271B;
  scroll-behavior: smooth;
  height: 100%;
  padding: 0;
  margin: 0;
}

#top {
  position: absolute;
  top: 0;
  left: 0;
}

.uptop {
  position: fixed;
  right: 10px;
  bottom: 10px;
  /* background-color: #EE964B; */
  /* color: #F4D35E; */
  color: black;
  text-align: center;
  border-radius: 100%;
  height: 80px;
  width: 80px;
  z-index: 999;
  background-color: rgba(255,255,255,.2);
}

.uptop > .img {
  animation: swing 2s ease infinite;
  width: 30px;
  height: auto;
  margin: 10px;
  transition: all 0.1s ease-out;
}

.totop {
  position: fixed;
  bottom: 0;
  right: 0;
  display: block;
  transform: translate(-30px, -30px);
  font-family: 'Roboto Mono', monospace;
  font-size: 12px;
  font-weight: 900;
  line-height: 0.7;
}

.uptop:hover {
  background-color: rgba(241,161,42,1);
  color: black;
}

.resume {
  width: 100%;
  height: 80vh;
}

.tag-line {
  font-size: 70px;
  margin: 140px 30px 10px 30px;
  display: block;
  height: calc(calc(100vh)/1.5);
  max-width: 980px;
}

.tag-strong {
  font-weight: 600;
}

.introduction {
  font-family: 'Roboto Mono', monospace;
  height: 30px;
  font-size: 25px;
}

.figures {
  font-family: 'Roboto Mono', monospace;
  color:  #EFBE27;
  font-size: 35px;
}

/* ABOUT ME SECTION START */

.about-background {
    background-image: linear-gradient(-30deg, rgba(247,223,137,0.6) 20%, rgba(247,223,137,0.3) 80%);
    margin: 100px 0 0 0;
}

.about {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 70%;
  padding: 20px;
  min-height: 400px;
}

.about>.title {
  color: rgba(241,161,42,1);
  align-self: center;
  margin: 3px;
}

.about>.text {
  text-align: justify;
  font-size: 18px;
  line-height: 25px;
}

/* ABOUT ME SECTION END */

/* SKILLS SECTION START */
.skills-background {
    background-image: linear-gradient(-90deg, #ADEa 50%, #BEFa 50%);
    margin: 5px 0 40px 0;
    width: 100%;
}

.skills {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: stretch;
  width: 90%;
  padding: 20px;
  margin-bottom: 70px 0;
  min-height: 500px;
}

.skills>.title {
  color: #19647E;
  align-self: center;
  margin-bottom: 15px;
}

.skills>.text {
  text-align: justify;
  line-height: 25px;
}

.skills>.content {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
  align-items: center;
  width: 80%;
  margin-top: 20px;
}

.skills>.row {
  display: flex;
  flex-flow: row wrap;
  justify-content: stretch;
}

.skill {
  /* flex-grow: 1; */
  border-radius: 2%;
  border-bottom: 1px solid #19647E;
  color: #19647E;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  width: 137px;
  margin: 10px 20px;
  padding: 5px;
}
/* SKILLS SECTION END */


/* PROJECTS SECTION START */
.projects-background {
    width: 100%;
}

.text-project{
  margin: 30px;
  text-align: justify;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.projects-background>.title {
  color: #d4d1ca;
  background-color: #f4f1ea;
  font-size: 30px;
  font-weight: 600;
  align-self: center;
  width: 100%;
  padding: 10px 20px 20px 20px;
  margin: 0 0 -22px 0;
  /* position: sticky;
  top: 0; */
  /* z-index: 5; */
}

.desktop {
  width: 600px;
  height: 388px;
  margin: 10px;
}

.mobile {
  width: 194px;
  height: 388px;
  margin: 10px;
}

.project-1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* border: 1px solid #0a9a; */
  border-right: 40px solid #0a98;
  width: 100%;
  z-index: 2;
  margin: 0 0 20px 0;
  padding: 20px;
  box-shadow: 2px 2px 15px #0002;
  }

.project-1-img {
  display: flex;
  justify-content: center;
  width: 100%;
}

.project-2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* border: 1px solid #7478; */
  border-right: 40px solid #7478;
  margin: 0 0 20px 0;
  padding: 20px;
  box-shadow: 2px 2px 15px #0002;
}

.project-2-img {
  display: flex;
  justify-content: center;
  /* height: 500px; */
  width: 100%;
}

.project-3 {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* border: 1px solid #0a9a; */
  border-right: 40px solid #d618;
  width: 100%;
  margin: 20px 0;
  padding: 20px;
  box-shadow: 2px 2px 15px #0002;
}

.project-3-img {
  display: flex;
  justify-content: center;
  /* height: 500px; */
  width: 100%;
}

.project-4 {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin: 20px 0;
  padding: 20px;
  box-shadow: 2px 2px 15px #0002;
  /* border: 1px solid #D2C5FC; */
  border-right: 40px solid #D2C5FC;
}
/* PROJECTS SECTION END */

.html5-video-player {
  background-color: #f4f1ea;
}

/* MEDIA QUERIES */
@media (max-width:1030px) {

  body {
    height: auto;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
  }
  .tag-line {
    font-size: 50px;
    margin: 40px 30px 0 30px;
    display: block;
    height: calc(calc(100vh)/2);
  }

  .desktop {
    width: auto;
    height: 280px;
    margin: 10px;
  }

  .mobile {
    width: auto;
    height: 280px;
    margin: 10px;
  }

  .title {
    color: #f4f1ea;
  }

  .uptop:hover {
    color: black;
  }

  .project-1, .project-2, .project-3, .project-4 {
    border: none;
  }
}

@media (max-width: 570px) {
   /*todo: footer is not good for iphone screen */
  /* html {
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
  }
  body {
    height: 100%;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    width: 100%;
  } */
  .tag-line {
    font-size: 35px;
    margin: 45px 30px 0 30px;
    display: block;
    height: calc(calc(100vh)/2);
    padding-top: 20px;
  }

  .introduction {
    font-family: 'Roboto Mono', monospace;
    height: 20px;
    font-size: 18px;
  }

  .figures {
    font-family: 'Roboto Mono', monospace;
    color:  #EFBE27;
    font-size: 20px;
  }

  .desktop {
    width: auto;
    height: 230px;
    margin: 10px;
  }

  .mobile {
    display: none;
  }

  .skill {
    margin: 2px;
  }
  .skills>.content {
    width: 300px;
    margin-top: 10px;
  }
  .skills>.title {
    font-size: 20px;
  }

  .about>.title {
    font-size: 20px;
  }

  .about>.text {
    font-size: 14px;
  }

  .about {
    padding: 10px;
  }

  .projects-background > .title {
    font-size: 22px;
  }

  .uptop {
    width: 50px;
    height: 50px;
  }

  .totop {
    display: none;
  }

  .title {
    color: #f4f1ea;
  }
}

@media (max-height: 520px) {
  .tag-line {
    font-size: 35px;
    margin: 45px 30px 0 30px;
    display: block;
    height: auto;
    padding-top: 20px;
  }

  .desktop {
    width: auto;
    height: 200px;
    margin: 10px;
  }
 /*todo: when screen is not high enough */
  .illustration {
    display: none;
  }
}

/* END - MEDIA QUERIES */
